<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Text Viewer</title>
</head>
<body>
  <h1 id="title"></h1>
  <pre id="content"></pre>
  <script src="https://cdn.flywheel.io/sdk/extension/flywheel-extension-0.11.0.min.js"></script>
  <script>
    Flywheel.initExtension().then(extension => {
      document.getElementById('title').innerText = extension.file.name;
      return extension.getFileText(extension.file);
    }).then(text => {
      document.getElementById('content').innerText = text;
    });
  </script>
</body>
</html>
